import { ClientOptions }              from '@elastic/elasticsearch';
import { DynamicModule, Module }      from '@nestjs/common';
import { ElasticsearchLoggerService } from './ElasticsearchLoggerService';

@Module({

    providers: [

        ElasticsearchLoggerService

    ],

    exports: [

        ElasticsearchLoggerService

    ]
})
export class ElasticsearchLoggerModule {

    public static forRoot(elasticsearchClientOptions: ClientOptions): DynamicModule {

        console.log(elasticsearchClientOptions);

        return {

            module: ElasticsearchLoggerModule,
            providers: [ ElasticsearchLoggerService ],
            exports: [ ElasticsearchLoggerService ]

        };

    }

}
